/* Copyright (C) 2002 John Edwards <john.edwards33@ntlworld.com>
   File: misc.h

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2.1 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.
   
   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 */


#ifndef __MISC_H
#define __MISC_H

#include "encode.h"
#include <stdio.h>

void set_filename(char *filename);

extern void error_dialog(const char *fmt, ...);
extern void log_error(const char *fmt, ...);
extern void set_use_dialogs(int use_dialogs);
extern void (*error_handler)(const char *fmt, ...);

#endif /* __MISC_H */

